package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFGK8 extends MwfRequest<MWFGK8, MWFGK8Response> {

    @Parameter(name = "Adresat")
    MWFGK8 adresat(String adresat);
    @Parameter(name = "CIF")
    MWFGK8 cif(String cif);
    @Parameter(name = "Cache_Flag")
    MWFGK8 cacheFlag(Long cacheFlag);
    @Parameter(name = "CisloOrientacni")
    MWFGK8 cisloOrientacni(String cisloOrientacni);
    @Parameter(name = "CisloPopisne")
    MWFGK8 cisloPopisne(String cisloPopisne);
    @Parameter(name = "Ctvrt")
    MWFGK8 ctvrt(String ctvrt);
    @Parameter(name = "Data")
    MWFGK8 data(java.util.List<MWFGK8Data> data);
    @Parameter(name = "DistribucniKanal")
    MWFGK8 distribucniKanal(String distribucniKanal);
    @Parameter(name = "GeminiUserID")
    MWFGK8 geminiUserID(String geminiUserID);
    @Parameter(name = "ICO")
    MWFGK8 ico(String ico);
    @Parameter(name = "Mesto")
    MWFGK8 mesto(String mesto);
    @Parameter(name = "Okres")
    MWFGK8 okres(String okres);
    @Parameter(name = "PSC")
    MWFGK8 psc(String psc);
    @Parameter(name = "Posta")
    MWFGK8 posta(String posta);
    @Parameter(name = "RC")
    MWFGK8 rc(String rc);
    @Parameter(name = "SSO")
    MWFGK8 sso(String sso);
    @Parameter(name = "SekundarniUrednik")
    MWFGK8 sekundarniUrednik(String sekundarniUrednik);
    @Parameter(name = "UID")
    MWFGK8 uid(Long uid);
    @Parameter(name = "Ulice")
    MWFGK8 ulice(String ulice);
    @Parameter(name = "Zeme")
    MWFGK8 zeme(String zeme);
}
